API Reference
Estimate ByteDance video upscale credits. Returns eligible=false when the asset cannot be upscaled; does not spend credits.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
assetId*string
Query Parameters
target_resolution*string
Value in
- "1080p"
- "4k"
project_id?|
Default
nullResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/workspace/media/assets/string/upscale?target_resolution=1080p"{ "eligible": true, "ineligible_reason": "string", "target_resolution": "1080p", "target_fps": "30fps", "credits_required": 0, "duration_seconds": 0, "source_long_edge": 0, "target_long_edge": 0}